Anular la versión de dependencia de arranque de spring con gradle kotlin-dsl

SpringBoot viene con muchas dependencies más versiones pnetworkingeterminadas para ellas. En groovy-gradle, dichas versiones de dependencia pueden anularse con:

ext['mockito.version'] = '1.7.5' 

Pero esto no funciona para el kotlin-dsl. Lo intenté:

 val mockito by extra { "2.12.0" } val mockito.version by extra { "2.12.0" } val `mockito.version` by extra { "2.12.0" } 

Los dos últimos, no comstackr, el primero, no está haciendo el trabajo.

¿Cómo puede anularse la versión dentro del file kotlin? (No quiero crear un file de properties separado si de alguna manera es posible).